Page MenuHomePhabricator

After QA, enable Partial Blocks MVP on test.wikipedia.org and test.wikidata.org
Closed, ResolvedPublic1 Story Points

Description

We will use https://test.wikipedia.org and https://test.wikidata.org as the first production test wiki for Partial Blocks. When T196578: ๐Ÿ‘ฉโ€๐Ÿ‘ง MVP for partial blocks (block a user from pages only) is complete, we will want to enable the functionality to test in the wild, and to allow for other volunteers to test.

Estimated release date: week of October 15.


Acceptance criteria
  • Anyone with block permissions on test.wikipedia.org can utilize the functionality of T196578
  • No UI or user-facing functionality changes are made to any other wiki
  • APIs are not interrupted on any other wikis

Related Objects

StatusAssignedTask
OpenNone
ResolvedTBolliger
ResolvedTBolliger
Resolveddbarratt
ResolvedTBolliger
ResolvedMooeypoo
ResolvedTBolliger
ResolvedTchanders
ResolvedTBolliger
OpenNone
Resolveddbarratt
Resolvedthcipriani
Resolveddmaza
OpenNone
OpenNone
OpenNone
OpenNone
Resolveddbarratt
OpenNone
OpenNone
ResolvedMelos
ResolvedDaimona
ResolvedTBolliger
OpenNone
Declineddbarratt
ResolvedNikerabbit
ResolvedTBolliger
ResolvedMooeypoo
Resolvedjcrespo
DeclinedNone
DuplicateNone
ResolvedTchanders
ResolvedTBolliger
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
StalledNone
ResolvedTchanders
Resolveddmaza

Event Timeline

TBolliger triaged this task as Normal priority.Sep 7 2018, 5:23 PM
TBolliger created this task.
Restricted Application added subscribers: MGChecker, Aklapper. ยท View Herald TranscriptSep 7 2018, 5:23 PM
TBolliger set the point value for this task to 1.Sep 7 2018, 6:05 PM
  • Just config change
  • Database changes should already be live
dbarratt renamed this task from After QA, enable Partial Blocks MVP on test.wikipedia.org to After QA, enable Partial Blocks MVP on test.wikipedia.org and test.wikidata.org.Oct 12 2018, 7:18 PM
dbarratt updated the task description. (Show Details)
dbarratt changed the edit policy from "Custom Policy" to "All Users".Oct 31 2018, 3:21 PM

Change 470852 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[operations/mediawiki-config@master] Enable Partial Blocks on testwiki and testiwkidata

https://gerrit.wikimedia.org/r/470852

dmaza claimed this task.Oct 31 2018, 3:23 PM
dmaza moved this task from Ready to Review on the Anti-Harassment (AHT Sprint 32) board.

Change 470852 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Partial Blocks on testwiki and testwikidata

https://gerrit.wikimedia.org/r/470852

Mentioned in SAL (#wikimedia-operations) [2018-10-31T18:59:48Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T203821 Enable Partial Blocks on testwiki and testwikidata in case we have to stop the train (duration: 00m 56s)

Change 470905 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[operations/mediawiki-config@master] Enable partial blocks on testwikidatawiki

https://gerrit.wikimedia.org/r/470905

Change 470905 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable partial blocks on testwikidatawiki

https://gerrit.wikimedia.org/r/470905

Mentioned in SAL (#wikimedia-operations) [2018-10-31T20:51:12Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T203821 Fix config typo to point at testwikidatawiki properly (duration: 00m 53s)

dbarratt closed this task as Resolved.Oct 31 2018, 9:02 PM
dbarratt moved this task from Review to Done on the Anti-Harassment (AHT Sprint 32) board.
dbarratt removed subtasks: T208510: "Prevent account creation" should be unchecked when the block is configured to be Partial., T208548: Users can still edit their talk pages when partially blocked from them, T208523: Blocks log entries display as malformed on Special:CheckUser, T208513: Admins should be able to block users while partially-blocked, T208559: Clear the invalid inputs from the Page input field when switching the block type (if they are distinguishable before submission), T208398: Fatal error on testwiki on viewing talk pages when blocked and logged in, and on editing pages when blocked, T208563: Update User::isAllowed() to check the user's block with Block::prevents(), T208462: Error Unknown column ipb_sitewide in field list on query, T208526: Database timeout error + significant lag when modifying a Partial Block with 10 items, T208273: Partially blocked users should be able to rename/move pages (outside their block), T208355: TitlesMultiselectWidget for Partial blocks suggests and accepts special pages and other invalid namespaces, T208547: Just clicking on the empty space around should not change the type of block radio button selection, T208551: Suppress browser triggered drop down and field highlighting for TitlesMultiselectWidget, T208560: If a user is partially blocked they should be able to perform rollback on unrelated pages, T208512: CheckUser tool is inaccessible while partial-blocked, T208509: Partially blocked admins should be able to revision delete on unrelated pages, and oversighters should be able to suppress content, T208507: Unsubmitted text in TitlesMultiselectWidget on Sp:Block should be treated as submitted when widget becomes unfocussed.Nov 2 2018, 5:21 PM
dbarratt added parent tasks: T208507: Unsubmitted text in TitlesMultiselectWidget on Sp:Block should be treated as submitted when widget becomes unfocussed, T208509: Partially blocked admins should be able to revision delete on unrelated pages, and oversighters should be able to suppress content, T208563: Update User::isAllowed() to check the user's block with Block::prevents(), T208560: If a user is partially blocked they should be able to perform rollback on unrelated pages, T208551: Suppress browser triggered drop down and field highlighting for TitlesMultiselectWidget, T208547: Just clicking on the empty space around should not change the type of block radio button selection, T208355: TitlesMultiselectWidget for Partial blocks suggests and accepts special pages and other invalid namespaces, T208273: Partially blocked users should be able to rename/move pages (outside their block), T208526: Database timeout error + significant lag when modifying a Partial Block with 10 items, T208462: Error Unknown column ipb_sitewide in field list on query, T208398: Fatal error on testwiki on viewing talk pages when blocked and logged in, and on editing pages when blocked, T208559: Clear the invalid inputs from the Page input field when switching the block type (if they are distinguishable before submission), T208513: Admins should be able to block users while partially-blocked, T208523: Blocks log entries display as malformed on Special:CheckUser, T208548: Users can still edit their talk pages when partially blocked from them, T208510: "Prevent account creation" should be unchecked when the block is configured to be Partial..Nov 2 2018, 5:24 PM
TBolliger reopened this task as Open.Nov 19 2018, 9:49 PM